<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <style type="text/css" media="all">
      @import "/stylesheets/style.css";
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title><%= @title || "Embea - the black belt message board" %></title>
  </head>
  <body>
    <div class="page-container">
      <div class="logo">&nbsp;</div>
      <div class="navigation">
        <div class="pad">
          <% if @current_user %>
            <p>
              Menu items <%= link_to "Logout", :controller => 'sessions', :action => 'destroy' %>
            </p>
          <% else %>
            <% form_for(:user, nil, :url => {:controller => 'sessions', :action => 'create'}) do |f| %>
              <fieldset>
                <ul>
                  <li>
                    <label>Login:</label>
                    <%= f.text_field :login, :class => "text" %>
                  </li>

                  <li>
                    <label>Password:</label>
                    <%= f.password_field :password, :class => "text" %>
                  </li>

                  <li>
                    <%= submit_tag "Go!" %>
                  </li>
                </ul>
              </fieldset>
            <% end %>
          <% end %>
        </div>
      </div>
      <div class="content">
        <%= flash[:notice] if flash[:notice] %>
        <%= flash[:error] if flash[:error] %>
        <%= @content_for_layout %>
      </div>
    </div>
  </body>
</html>
